---
cy:
  activerecord:
    attributes:
      doorkeeper/application:
        name: Enw rhaglen
        redirect_uri: Ailgyfeirio URI
        scopes: Cwmpasau
        website: Gwefan rhaglen
    errors:
      models:
        doorkeeper/application:
          attributes:
            redirect_uri:
              fragment_present: ni all gynnwys darn.
              invalid_uri: rhaid iddo fod yn URI cyfredol.
              relative_uri: rhaid iddo fod yn URI absoliwt.
              secured_uri: rhaid iddo fod yn URI HTTPS/SSL.
  doorkeeper:
    applications:
      buttons:
        authorize: Awdurdodi
        cancel: Canslo
        destroy: Dinistrio
        edit: Golygu
        submit: Cyflwyno
      confirmations:
        destroy: Ydych chi'n siŵr?
      edit:
        title: Golygu'r rhaglen
      form:
        error: Wps! Gwiriwch eich ffurflen am gamgymeriadau posib
      help:
        native_redirect_uri: Defnyddiwch %{native_redirect_uri} ar gyfer profion lleol
        redirect_uri: Defnyddiwch un llinell i bob URI
        scopes: Gwahanwch gwmpasau gyda gofodau. Gadewch yn wag i ddefnyddio'r cwmpasau rhagosodedig.
      index:
        application: Rhaglen
        callback_url: URL galw-nôl
        delete: Dileu
        empty: Nid oes gennych unrhyw raglenni.
        name: Enw
        new: Rhaglen newydd
        scopes: Cwmpasau
        show: Dangos
        title: Eich rhaglenni
      new:
        title: Rhaglen newydd
      show:
        actions: Gweithredoedd
        application_id: Allwedd cleient
        callback_urls: URLau adalw
        scopes: Cwmpasau
        secret: Cyfrinach cleient
        title: 'Rhaglen: %{name}'
    authorizations:
      buttons:
        authorize: Awdurdodi
        deny: Gwrthod
      error:
        title: Mae rhywbeth wedi mynd o'i le
      new:
        prompt_html: Hoffai %{client_name} gael caniatâd i gael mynediad i'ch cyfrif. <strong>Dim ond os ydych chi'n adnabod ac yn ymddiried yn y ffynhonnell hon y dylech gymeradwyo'r cais hwn.</strong>
        review_permissions: Adolygu caniatâd
        title: Angen awdurdodi
      show:
        title: Copïwch y cod awdurdodi a'i ludio i'r rhaglen.
    authorized_applications:
      buttons:
        revoke: Dirymu
      confirmations:
        revoke: Ydych chi'n siŵr?
      index:
        authorized_at: Wedi'i awdurdodi ar %{date}
        description_html: Mae'r rhain yn raglenni sy'n gallu cael mynediad i'ch cyfrif gan ddefnyddio'r API. Os oes yna rhaglenni nad ydych chi'n eu hadnabod yma, neu os yw rhaglen yn camymddwyn, gallwch chi ddirymu ei fynediad.
        last_used_at: Defnyddiwyd ddiwethaf ar %{date}
        never_used: Erioed wedi'i ddefnyddio
        scopes: Caniatâd
        superapp: Mewnol
        title: Eich rhaglenni awdurdodedig
    errors:
      messages:
        access_denied: Mae perchennog yr adnodd neu'r gweinydd awdurdodi wedi atal y cais.
        credential_flow_not_configured: Llif meini prawf cyfrinair perchennog yr adnodd wedi methu achos fod Doorkeeper.configure.resource_owner_from_credentials heb ei ffurfweddu.
        invalid_client: Methodd dilysu cleient oherwydd cleient anhysbys, dim dilysiad cleient wedi'i gynnwys, neu ddull dilysu heb ei gefnogi.
        invalid_code_challenge_method: Rhaid i'r dull herio cod fod yn S256, nid oes cefnogaeth i'r plaen.
        invalid_grant: Mae'r grant awdurdodi ar yr amod yn annilys, wedi dod i ben, wedi'i ddirymu, nid yw'n cyfateb i'r URI ailgyfeirio a ddefnyddiwyd yn y cais am awdurdodiad, neu wedi'i roi i gleient arall.
        invalid_redirect_uri: Nid yw'r uri ailgyfeirio a gynhwysir yn ddilys.
        invalid_request:
          missing_param: 'Paramedr gofynnol ar goll: %{value}.'
          request_not_authorized: Mae angen awdurdodi'r cais. Mae'r paramedr gofynnol ar gyfer awdurdodi cais ar goll neu'n annilys.
          unknown: Mae'r cais yn brin o baramedr gofynnol, yn cynnwys gwerth paramedr heb ei gefnogi, neu wedi ei gamffurfio fel arall.
        invalid_resource_owner: Nid yw meini prawf perchennog yr adnodd yn ddilys, neu ni ellir canfod perchennog yr adnodd
        invalid_scope: Mae'r cwmpas y gofynnwyd amdano yn annilys, yn anhysbys neu wedi'i gamffurfio.
        invalid_token:
          expired: Daeth y tocyn mynediad i ben
          revoked: Gwrthodwyd y tocyn mynediad
          unknown: Mae'r tocyn mynediad yn annilys
        resource_owner_authenticator_not_configured: Methwyd canfod Perchenog Adnodd achos fod Doorkeeper.configure.resource_owner_authenticator heb ei gydffurfio.
        server_error: Daeth y gweinydd awdurdodi ar draws gyflwr annisgwyl wnaeth ei atal rhag cyflawni'r cais.
        temporarily_unavailable: Nid yw'r gweinydd awdurdodi yn gallu gweithredu y cais hwn ar hyn o bryd oherwydd gorlwytho dros dro neu gwaith cynnal a chadw ar y gweinydd hwn.
        unauthorized_client: Nid yw'r cleient wedi ei awdurdodi i berfformio'r cais hwn yn defnyddio'r dull hwn.
        unsupported_grant_type: Nid yw'r math o ganiatâd awdurdodi yma'n cael ei gefnogi gan y gweinydd awdurdodi.
        unsupported_response_type: Nid yw'r gweinydd awdurdodi yn cefnogi y math yma o ymateb.
    flash:
      applications:
        create:
          notice: Crëwyd y rhaglen.
        destroy:
          notice: Dilëwyd y rhaglen.
        update:
          notice: Diweddarwyd y rhaglen.
      authorized_applications:
        destroy:
          notice: Diddymwyd y cais.
    grouped_scopes:
      access:
        read: Mynediad darllen yn unig
        read/write: Mynediad darllen ac ysgrifennu
        write: Mynediad ysgrifennu yn unig
      title:
        accounts: Cyfrifon
        admin/accounts: Gweinyddu cyfrifon
        admin/all: Pob swyddogaeth weinyddol
        admin/reports: Gweinyddu adroddiadau
        all: Mynediad llawn i'ch cyfrif Mastodon
        blocks: Blociau
        bookmarks: Llyfrnodau
        conversations: Sgyrsiau
        crypto: Amgryptio o ben i ben
        favourites: Ffefrynnau
        filters: Hidlyddion
        follow: Dilynion, Anwybyddiadau a Blociau
        follows: Yn dilyn
        lists: Rhestrau
        media: Atodiadau cyfryngau
        mutes: Anwybyddiadau
        notifications: Hysbysiadau
        profile: Eich proffil Mastodon
        push: Hysbysiadau gwthiadwy
        reports: Adroddiadau
        search: Chwilio
        statuses: Postiadau
    layouts:
      admin:
        nav:
          applications: Rhaglenni
          oauth2_provider: Darparwr OAuth2
      application:
        title: Mae awdurdodiad OAuth yn ofynnol
    scopes:
      admin:read: darllen yr holl ddata ar y gweinydd
      admin:read:accounts: darllen gwybodaeth sensitif o bob cyfrif
      admin:read:canonical_email_blocks: darllen gwybodaeth sensitif pob bloc e-bost canonaidd
      admin:read:domain_allows: darllen gwybodaeth sensitif pob caniatád parth
      admin:read:domain_blocks: darllen gwybodaeth sensitif pob bloc parth
      admin:read:email_domain_blocks: darllen gwybodaeth sensitif pob bloc parth ebost
      admin:read:ip_blocks: darllen gwybodaeth sensitif pob bloc IP
      admin:read:reports: darllen gwybodaeth sensitif o'r holl adroddiadau a'r cyfrifon a adroddwyd
      admin:write: addasu'r holl ddata ar y gweinydd
      admin:write:accounts: cyflawni camau cymedroli ar gyfrifon
      admin:write:canonical_email_blocks: cyflawni cymedroli ar gyfer pob bloc e-bost canonaidd
      admin:write:domain_allows: cyflawni cymedroli ar gyfer pob caniatád parth
      admin:write:domain_blocks: cyflawni cymedroli ar gyfer pob bloc parth
      admin:write:email_domain_blocks: cyflawni cymedroli ar gyfer pob bloc parth ebost
      admin:write:ip_blocks: cyflawni cymedroli ar gyfer pob bloc IP
      admin:write:reports: cyflawni camau cymedroli ar adroddiadau
      crypto: defnyddio amgryptio ben i ben
      follow: addasu perthnasau cyfrif
      profile: darllen dim ond gwybodaeth proffil eich cyfrif
      push: derbyn eich hysbysiadau gwthiadwy
      read: darllen holl ddata eich cyfrif
      read:accounts: gweld gwybodaeth y cyfrif
      read:blocks: gweld eich blociau
      read:bookmarks: gweld eich llyfrnodau
      read:favourites: gweld eich ffefrynnau
      read:filters: gweld eich hidlwyr
      read:follows: gweld eich dilynwyr
      read:lists: gweld eich rhestrau
      read:mutes: gweld eich anwybyddiadau
      read:notifications: gweld eich hysbysiadau
      read:reports: gweld eich adroddiadau
      read:search: chwilio ar eich rhan
      read:statuses: gweld pob postiad
      write: addasu holl ddata eich cyfrif
      write:accounts: addasu eich proffil
      write:blocks: blocio cyfrifon a parthau
      write:bookmarks: llyfrnodi postiadau
      write:conversations: anwybyddu a dileu sgyrsiau
      write:favourites: hoff bostiadau
      write:filters: creu hidlwyr
      write:follows: dilyn pobl
      write:lists: creu rhestrau
      write:media: llwytho ffeiliau cyfryngau
      write:mutes: anwybyddu pobl a sgyrsiau
      write:notifications: clirio eich hysbysiadau
      write:reports: adrodd pobl eraill
      write:statuses: cyhoeddi postiadau
